Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Remote Application Platform (RAP) » Eclipse modelling IDE and RAP(Why the org.eclipse.emf.ecore and org.eclipse.emf.ecore.xmi are no more in the list)
Eclipse modelling IDE and RAP [message #1817345] Wed, 20 November 2019 17:15 Go to next message
antonio guillen is currently offline antonio guillenFriend
Messages: 60
Registered: January 2014
Member
index.php/fa/36794/0/HI all

Very strange behavior:
1- Install Eclipse with the Modelling IDE (last version)
2-Developp an EMF model , it works fine.
3-Generate Model Code, Model Edit and Model Editor. Still OK.

Now the next step.....

4-Install RAP using RAP Tools 3.9 - http://download.eclipse.org/rt/rap/tools/3.9 the last one compatible with the 2019-09 eclipse IDE.
5- Reboot.
6-The projects (Model, edit and editor) are still ok.
7-Install the Target Platform using the RAP Tool or manually.

Result:!!!!!!! The projects (Model, Model edit end Model Editor are no more ok why?

Because in the model the plugins org.eclipse.emf.ecore and org.eclipse.emf.ecore.xmi which are in the dependencies are no more here and worst they are no more accessible in the list!!! The proof cf image Bug1:
index.php/fa/36794/0/
Question how we can do to use EMF model with RAP??????

Thanks a lot for your help



  • Attachment: Bug1.PNG
    (Size: 69.92KB, Downloaded 295 times)
Re: Eclipse modelling IDE and RAP [message #1817347 is a reply to message #1817345] Wed, 20 November 2019 18:08 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 232
Registered: January 2012
Senior Member

Hi Antonio,
since you already have a Modeling IDE then you have EMF Parsley included.
So, even if you do not want to use EMF Parsley, you can anyway follow this tutorial
https://www.eclipse.org/emf-parsley/documentation.html#par23
at least for the steps:
* Installing the RAP Tools (btw, with 2019-09 you will find RAP Tools 3.10 as the last one compatible)
* Setup the EMF Parsley RAP Target Platform

the last step
* Running the Parsley RAP UI Example
can be executed just to prove that you can use latest RAP+EMF

HTH
Vincenzo
Re: Eclipse modelling IDE and RAP [message #1817375 is a reply to message #1817347] Thu, 21 November 2019 11:30 Go to previous messageGo to next message
antonio guillen is currently offline antonio guillenFriend
Messages: 60
Registered: January 2014
Member
Hi Vincenzo,

Thanks a lot for your answer. I did it and it's right it work fine. So we can use it with a model.
Now I have another problem for my project:
I create a project using "Plugin-Devleoppement" and I want a RAP e4 template. In this case I have still a lot of plugins not available:

Step1: Create the project plugin:

index.php/fa/36797/0/

Step2: Define the plug-in (here not RCP).

index.php/fa/36798/0/

Step3:Define the plug-in we want use:

index.php/fa/36799/0/

Step4 the result with a lot of plugin missing ??????

index.php/fa/36800/0/

Have you an idea to be able to build this kind of project?

Best regards

Antonio

  • Attachment: BUG2-0.PNG
    (Size: 107.99KB, Downloaded 199 times)
  • Attachment: BUG2-1.PNG
    (Size: 109.62KB, Downloaded 201 times)
  • Attachment: BUG2-2.PNG
    (Size: 117.09KB, Downloaded 196 times)
  • Attachment: BUG2-3.PNG
    (Size: 74.93KB, Downloaded 194 times)
Re: Eclipse modelling IDE and RAP [message #1817379 is a reply to message #1817375] Thu, 21 November 2019 12:45 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 232
Registered: January 2012
Senior Member

Hi Antonio,
I'm pretty sure the problem is that our Target Definition file emf-parsely-rap.target (the first step of the tutorial) does non include the RAP e4 plugins and/or features.
But I wouldn't know which should be added.
Re: Eclipse modelling IDE and RAP [message #1817392 is a reply to message #1817379] Thu, 21 November 2019 15:00 Go to previous messageGo to next message
antonio guillen is currently offline antonio guillenFriend
Messages: 60
Registered: January 2014
Member
Hi Vincenzo,

What can I do?
I have my EMF Model completely done, all mys UI defined but I can't do the job...
Can you tell a way to solve the pb?

Thanks a lot for your help.

Antonio
Re: Eclipse modelling IDE and RAP [message #1817411 is a reply to message #1817392] Thu, 21 November 2019 18:09 Go to previous messageGo to next message
antonio guillen is currently offline antonio guillenFriend
Messages: 60
Registered: January 2014
Member
Hi Vincenzo,

I Think are missing:

org.eclipse.rap.e4
org.eclipse.e4.ui.di
org.eclipse.e4.ui.services
org.eclipse.e4.ui.workbench
org.eclipse.e4.core.contexts

Best regards

Antonio
Re: Eclipse modelling IDE and RAP [message #1817462 is a reply to message #1817345] Fri, 22 November 2019 14:40 Go to previous messageGo to next message
Markus Knauer is currently offline Markus KnauerFriend
Messages: 159
Registered: July 2009
Senior Member

I wrote a longer answer to a follow up discussion at https://www.eclipse.org/forums/index.php/m/1817459/#page_top before reading this here...

While I read through the comments, I'd have one more advice...

Usually it is a bad idea to mix too many different version, especially different versions from older and from some newer p2 repositories.

The emf-parsely-rap.target definition as seen in the thread uses

- http://download.eclipse.org/releases/2018-09/ from last year and
- http://download.eclipse.org/emf-parsley/rt which currently resolves to a Parsley version from July this year.

I'd rather recommend to use either a combination of the old ones from the same stream

- http://download.eclipse.org/releases/2018-09/
- https://download.eclipse.org/emf-parsley/rt/1.4/
- http://download.eclipse.org/rt/rap/3.6/e4/

or (probably better) use the current set of p2 repositories from this year

- http://download.eclipse.org/releases/2019-09/
- https://download.eclipse.org/emf-parsley/rt/1.8/
- http://download.eclipse.org/rt/rap/3.10/e4/

That way you'd minimize the risk of incompatibilities between the different versions.

An if all this doesn't help, it may be worth asking the Parsley developers for advice as they are contributing and maintaining this target definition.

Regards,
Markus


--

Twitter: @mknauer23 and @EclipseRAP
Blog: http://eclipsesource.com/blogs/

Professional services for RAP and RCP?
http://eclipsesource.com/services/rap/
Re: Eclipse modelling IDE and RAP [message #1817464 is a reply to message #1817462] Fri, 22 November 2019 15:37 Go to previous messageGo to next message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 232
Registered: January 2012
Senior Member

Hi Markus,
thank you for pointing out that the Parsley target platform Example is not up to date: we will fix it.
Anyway we just suggested Antonio to use this example from a Parsley tutorial as a starting point on how to use RAP (e3) and EMF together.
Regards
Vincenzo
Re: Eclipse modelling IDE and RAP [message #1817481 is a reply to message #1817462] Sat, 23 November 2019 09:47 Go to previous messageGo to next message
antonio guillen is currently offline antonio guillenFriend
Messages: 60
Registered: January 2014
Member
HI Markus

Thanks a lot for your answers and proposal.

So starting with a Parsley Target platform with:
http://download.eclipse.org/releases/2019-09/
https://download.eclipse.org/emf-parsley/rt/1.8/

Then adding the RAP with
http://download.eclipse.org/rt/rap/3.10/e4/

There is no more problem for compilation and for retrieve the plugins.
The last problem is to select the good version of different plugins in the run configuration. It work fine in my case using the newer one.

At the end so far the run works fine.

It will be nice to have a Parsley target platform with compatibility with EMF and RAP e4 templates.

Thanks a lot

Antonio
Re: Eclipse modelling IDE and RAP [message #1817524 is a reply to message #1817481] Mon, 25 November 2019 11:22 Go to previous messageGo to next message
antonio guillen is currently offline antonio guillenFriend
Messages: 60
Registered: January 2014
Member
Hi Markus and Vincenzo

It works but I have a problem with the package org.eclipse.emf.edit.ui impossible to have it in the dependencies, so I cannot build adapters for a treeviewer for example.

Have you an idea how to solve this?

Thanks a lot for your help.

Best regards

Antonio
Re: Eclipse modelling IDE and RAP [message #1817525 is a reply to message #1817524] Mon, 25 November 2019 11:39 Go to previous message
Vincenzo Caselli is currently offline Vincenzo CaselliFriend
Messages: 232
Registered: January 2012
Senior Member

Hi Antonio,
for what I know you cannot use org.eclipse.emf.edit.ui with a RAP platform.
The correspondent for RAP is org.eclipse.emf.rap.edit.ui.
Remember: with RAP all UI parts are not true SWT/JFace, but wrappers that renders on a web interface.
HTH
Vincenzo


Previous Topic:impossible to create a RAP application involving EMF model and RAP e4 ui.
Next Topic:E4/RAP Compatibility Layer Workbench
Goto Forum:
  


Current Time: Sat Sep 18 05:34:32 GMT 2021

Powered by FUDForum. Page generated in 0.02892 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top